summaryrefslogtreecommitdiff
path: root/classes/qpf.bbclass
diff options
context:
space:
mode:
Diffstat (limited to 'classes/qpf.bbclass')
-rw-r--r--classes/qpf.bbclass7
1 files changed, 7 insertions, 0 deletions
diff --git a/classes/qpf.bbclass b/classes/qpf.bbclass
index 45cf7d448e..71a314c4c0 100644
--- a/classes/qpf.bbclass
+++ b/classes/qpf.bbclass
@@ -15,6 +15,13 @@ set -e
${sbindir}/update-qtfontdir
}
+pkg_postrm_fonts() {
+#!/bin/sh
+set -e
+. /etc/profile
+${sbindir}/update-qtfontdir -f
+}
+
python populate_packages_prepend() {
postinst = bb.data.getVar('pkg_postinst_fonts', d, 1)
postrm = postinst